# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nwon_baseline_including_types']

package_data = \
{'': ['*'],
 'nwon_baseline_including_types': ['directory_helper/__init__.pyi',
                                   'directory_helper/__init__.pyi',
                                   'directory_helper/directory.pyi',
                                   'directory_helper/directory.pyi',
                                   'file_helper/__init__.pyi',
                                   'file_helper/__init__.pyi',
                                   'file_helper/file.pyi',
                                   'file_helper/file.pyi',
                                   'image_helper/__init__.pyi',
                                   'image_helper/__init__.pyi',
                                   'image_helper/image.pyi',
                                   'image_helper/image.pyi',
                                   'import_helper/__init__.pyi',
                                   'import_helper/__init__.pyi',
                                   'import_helper/import_from_file.pyi',
                                   'import_helper/import_from_file.pyi',
                                   'poetry/__init__.pyi',
                                   'poetry/__init__.pyi',
                                   'poetry/__init__.pyi',
                                   'poetry/checking_version_argument.pyi',
                                   'poetry/checking_version_argument.pyi',
                                   'poetry/checking_version_argument.pyi',
                                   'poetry/package_version.pyi',
                                   'poetry/package_version.pyi',
                                   'poetry/package_version.pyi',
                                   'print_helper/__init__.pyi',
                                   'print_helper/__init__.pyi',
                                   'print_helper/colored_printing.pyi',
                                   'print_helper/colored_printing.pyi',
                                   'shell_helper/__init__.pyi',
                                   'shell_helper/__init__.pyi',
                                   'shell_helper/execute_command.pyi',
                                   'shell_helper/execute_command.pyi',
                                   'type_helper/__init__.pyi',
                                   'type_helper/__init__.pyi',
                                   'type_helper/__init__.pyi',
                                   'type_helper/enum_type_guard.pyi',
                                   'type_helper/enum_type_guard.pyi',
                                   'type_helper/enum_type_guard.pyi',
                                   'type_helper/enum_value_list.pyi',
                                   'type_helper/enum_value_list.pyi',
                                   'type_helper/enum_value_list.pyi',
                                   'typings/__init__.pyi',
                                   'typings/__init__.pyi',
                                   'typings/__init__.pyi',
                                   'typings/__init__.pyi',
                                   'typings/__init__.pyi',
                                   'typings/__init__.pyi',
                                   'typings/__init__.pyi',
                                   'typings/__init__.pyi',
                                   'typings/bounding_box.pyi',
                                   'typings/bounding_box.pyi',
                                   'typings/bounding_box.pyi',
                                   'typings/bounding_box.pyi',
                                   'typings/bounding_box.pyi',
                                   'typings/bounding_box.pyi',
                                   'typings/bounding_box.pyi',
                                   'typings/bounding_box.pyi',
                                   'typings/celery_return.pyi',
                                   'typings/celery_return.pyi',
                                   'typings/celery_return.pyi',
                                   'typings/celery_return.pyi',
                                   'typings/celery_return.pyi',
                                   'typings/celery_return.pyi',
                                   'typings/celery_return.pyi',
                                   'typings/celery_return.pyi',
                                   'typings/django_ready_enum.pyi',
                                   'typings/django_ready_enum.pyi',
                                   'typings/django_ready_enum.pyi',
                                   'typings/django_ready_enum.pyi',
                                   'typings/django_ready_enum.pyi',
                                   'typings/django_ready_enum.pyi',
                                   'typings/django_ready_enum.pyi',
                                   'typings/django_ready_enum.pyi',
                                   'typings/pydantic_base_django.pyi',
                                   'typings/pydantic_base_django.pyi',
                                   'typings/pydantic_base_django.pyi',
                                   'typings/pydantic_base_django.pyi',
                                   'typings/pydantic_base_django.pyi',
                                   'typings/pydantic_base_django.pyi',
                                   'typings/pydantic_base_django.pyi',
                                   'typings/pydantic_base_django.pyi',
                                   'typings/request_body_format.pyi',
                                   'typings/request_body_format.pyi',
                                   'typings/request_body_format.pyi',
                                   'typings/request_body_format.pyi',
                                   'typings/request_body_format.pyi',
                                   'typings/request_body_format.pyi',
                                   'typings/request_body_format.pyi',
                                   'typings/request_body_format.pyi',
                                   'typings/terminal_colors.pyi',
                                   'typings/terminal_colors.pyi',
                                   'typings/terminal_colors.pyi',
                                   'typings/terminal_colors.pyi',
                                   'typings/terminal_colors.pyi',
                                   'typings/terminal_colors.pyi',
                                   'typings/terminal_colors.pyi',
                                   'typings/terminal_colors.pyi',
                                   'typings/version_change.pyi',
                                   'typings/version_change.pyi',
                                   'typings/version_change.pyi',
                                   'typings/version_change.pyi',
                                   'typings/version_change.pyi',
                                   'typings/version_change.pyi',
                                   'typings/version_change.pyi',
                                   'typings/version_change.pyi']}

install_requires = \
['pydantic>=1.8.2', 'pyhumps>=3.0.2,<4.0.0']

entry_points = \
{'console_scripts': ['clean-dist-folder = '
                     'scripts.clean_dist_folder:clean_dist_folder',
                     'create-type-stubs = '
                     'scripts.create_type_stubs:create_type_stubs',
                     'prepare = scripts.prepare:prepare']}

setup_kwargs = {
    'name': 'nwon-baseline',
    'version': '0.1.18',
    'description': 'Python Code that is used in several projects',
    'long_description': '# NWON Python baseline package\n\nThis package provides some basic python functions that can be used across several projects.\n\nThe dependencies of the project are kept to a minimum in order to prevent version conflicts with other projects.\n\nPackage is meant for internal use at [NWON](https://nwon.de) as breaking changes may occur on version changes. This may change at some point but not for now 😇.\n\n## Development Setup\n\nWe recommend developing using poetry. \n\nThis are the steps to setup the project with a local virtual environment:\n\n1. Tell poetry to create dependencies in a `.venv` folder withing the project: `poetry config virtualenvs.in-project true`\n1. Create a virtual environment using the local python version: `poetry env use $(cat .python-version)`\n1. Install dependencies: `poetry install`\n\n## Publish package\n\nFirst you need the package via `poetry build`.\n\nTest package publication\n\n1. Add test PyPi repository: `poetry config repositories.testpypi https://test.pypi.org/legacy/`\n1. Publish the package to the test repository: `poetry publish -r testpypi`\n1. Test package: `pip install --index-url https://test.pypi.org/simple/ nwon_baseline`\n\nIf everything works fine publish the package via `poetry publish`.',
    'author': 'Reik Stiebeling',
    'author_email': 'reik.stiebeling@nwon.de',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://nwon.de',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
